@import url(../global/style.css);

:root {
    --cor-principal: #9d070d;
    --cor-escura: #312f30;
    --cor-clara: #f4f4f4;
}


main {
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 100px 10% 0 10%;

    h1 {
        font-size: 1.5vw;
    }
}


form {
    display: flex;
    flex-direction: column;
    text-align: start;
    align-items: center;
    width: 30%;
    border: 1px solid var(--cor-principal);
    border-radius: 10px;
    padding: 2vw 2vw;
    margin-top: 50px;

    label {
        width: 100%;
        font-weight: 700;
        font-size: 15px;
        margin-top: 15px;
        margin-bottom: 5px;
    }

    input {
        display: flex;
        align-self: stretch;
        width: 100%;
        padding: 5px;
        outline-color: var(--cor-principal);
    }

    textarea {
        width: 100%;
        height: 13rem;
        resize: vertical;
        outline-color: var(--cor-principal);
        padding: 5px;
    }

    button {
        margin-top: 15px;
        width: max-content;
        padding: 10px;
        border: 1px solid var(--cor-principal);
        border-radius: 5px;
        cursor: pointer;
        background-color: var(--cor-clara);
        color: var(--cor-principal);
    }

    button:hover {
        padding: 15px;
        transition: 0.2s;
        background-color: var(--cor-principal);
        color: var(--cor-clara);
    }

    select {
        display: flex;
        align-self: stretch;
        text-align: center;
        width: max-content;
        padding: 5px;
        outline-color: var(--cor-principal);
    }
}


@media screen and (max-width: 800px) {
    main {
        padding: 30px 3% 0 3%;

        h1 {
            font-size: 16px;
        }
    }

    form {
        margin-top: 15px;
        width: 100%;
    }
}